WriteType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum WriteType

- java.lang.Object
- - java.lang.Enum<WriteType>
  - - org.apache.cassandra.db.WriteType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WriteType>

      public enum WriteType
      extends java.lang.Enum<WriteType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BATCH`
    `BATCH_LOG`
    `CAS`
    `CDC`
    `COUNTER`
    `SIMPLE`
    `UNLOGGED_BATCH`
    `VIEW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WriteType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WriteType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final WriteType SIMPLE

    - #### BATCH

          public static final WriteType BATCH

    - #### UNLOGGED_BATCH

          public static final WriteType UNLOGGED_BATCH

    - #### COUNTER

          public static final WriteType COUNTER

    - #### BATCH_LOG

          public static final WriteType BATCH_LOG

    - #### CAS

          public static final WriteType CAS

    - #### VIEW

          public static final WriteType VIEW

    - #### CDC

          public static final WriteType CDC

  - ### Method Detail

    - #### values

          public static WriteType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WriteType c : WriteType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WriteType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation